Skip to main content
GET
/
api
/
environments
/
list
List Environments
curl --request GET \
  --url https://dash.empirical.run/api/environments/list \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "environments": [
      {
        "id": 123,
        "project_id": 123,
        "slug": "<string>",
        "name": "<string>",
        "playwright_projects_match": [
          "<string>"
        ],
        "playwright_projects_ignore": [
          "<string>"
        ],
        "is_disabled": true,
        "env_files": [
          "<string>"
        ],
        "scheduled_trigger": "<string>",
        "created_at": "<string>",
        "updated_at": "<string>"
      }
    ]
  }
}

Authorizations

Authorization
string
header
required

API key from the Empirical dashboard.

Query Parameters

project_id
number

The project ID. Required if project_repo_name is not provided.

project_repo_name
string

The project repository name. Required if project_id is not provided.

is_disabled
string

Set to false to return only enabled environments.

Response

List of environments.

data
object
required